Bug 802051 - JON agent RPM logs directory
JON agent RPM logs directory
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 707235 837381
  Show dependency treegraph
 
Reported: 2012-03-10 09:57 EST by Aleksandar Kostadinov
Modified: 2013-09-03 11:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Kostadinov 2012-03-10 09:57:35 EST
At the moment jon-agent as installed from RPM logs to

/usr/share/jboss-on-3.0.0.GA/agent/logs/

All logs on a RHEL system should live inside /var/log/...

Maybe using /var/log/jboss-on/agent would make sense given agent itself lives inside /usr/share/jboss-on-<version>/agent

If there are no convenient system properties that can be used, then /usr/share/jboss-on-<version>/agent/logs could be a symlink to /var/log/jboss-on/agent.
Comment 1 Charles Crouch 2012-03-12 11:42:37 EDT
We should consider this for 3.1 as part of the rpm work.
Comment 2 Mike Foley 2012-03-19 12:18:56 EDT
per BZ triage (asantos, ccrouch, loleary, mfoley)
Comment 3 Stefan Negrea 2012-04-24 00:56:50 EDT
Configuration properties are not available for the agent logs folder. Updated the RPM using the suggested symlink solution. The logs will be effectively stored in /var/log. This will take full advantage of configuration where /var/logs is a separate partition.


A /var/log/jboss-on/agent folder is created during RPM installation to store logs. A symlink /usr/share/jboss-on-${version}.GA/agent/logs pointing to /var/log/jboss-on/agent is also created during installation.
Comment 4 Armine Hovsepyan 2012-07-23 08:04:15 EDT
verified.
both /usr/share/jboss-on-${version}/agent/logs/ and /var/log/jboss-on/agent/ contain the same logs and same data in log files.
Comment 5 Heiko W. Rupp 2013-09-03 11:02:43 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.